Mac OS X 10.7.3 with Xcode 4.3: This bundle is invalid. Apple is not currently accepting applications built with this version of the OS.

We have a few Mac applications on which we need to enable the Lion sandbox and resubmit to the Mac App Store (Mac, not iOS). I already applied the combo update 10.7.3 and after that I started getting this error: “This bundle is invalid. Apple is not currently accepting applications built with this version of […]